Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Fri, 17 Dec 2021 16:21:30 +0300

On 17.12.2021 16:01, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Fri, 17 Dec 2021 15:30:46 +0300
>>
>>> Lars, do we make that kludge unconditionally compiled on all systems?
>>> The change which Dmitry's bisection found as the culprit cannot be
>>> undone, I think, because without it we cannot support medium weight
>>> separately from regular.
>>
>> Are we sure the bisected change (dae3c4e89b27) itself doesn't need a
>> tweak? From all the explanations here, I would expect
>>
>>     (set-face-attribute 'default nil :height 110 :weight 'medium :family
>> "Inconsolata")
>>
>> to work correctly even without your "kludge". But it does not.
>>
>> Like, okay, Inconsolata_dz has a weird "style" ("dz"), but the plain
>> Inconsolata is "Medium".
> 
> Plain Inconsolata is indeed medium, but Emacs now requests regular,
> not medium, as the default weight.  And, according to the Fc log you
> posted, Inconsolata doesn't have a regular weight variety (whose value
> should be 80, not 100).

But when I specify :weight 'medium, shouldn't it request medium then?